Bug 106578 - cronjobs start too early
cronjobs start too early
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks: 170802
  Show dependency treegraph
 
Reported: 2003-10-08 11:37 EDT by Oliver Fänger
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: vixie-cron-4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 19:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Fänger 2003-10-08 11:37:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030624

Description of problem:
sometimes cronjobs start earlier then configured in crontab.
Example:

* * * * *  date +'\%s.\%N' >> /tmp/date-2.log ;date >> /tmp/date-2.log

Wed Oct  8 12:21:00 CEST 2003
1065608519.783610000
Wed Oct  8 12:21:59 CEST 2003
1065608580.791188000

the smallest intervall is 58.1968970298767

this problem is very dangerous for example logrotating at 00:00:00 with a date
in file name

You can also find some entries in cron log from cron.hourly with HH:00:59
(should be > HH:01:00)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.crontab -e: * * * * *  date +'\%s.\%N' >> /tmp/date-2.log
2.cat date-2.log |sort -nr|perl -ne '$NEW=$_;chop $NEW ;print "$NEW - $LAST:\t";
print $NEW - $LAST ."\n" ;$LAST=$NEW ;'
3. or: grep cron.hourly /etc/crontab; grep ":00:59" /var/log/cron*
    

Additional info:
Comment 1 Matthew Braithwaite 2004-02-10 19:00:01 EST
I have this problem too, on RedHat 7.3, with vixie-cron-3.0.1-64.
Comment 2 Jason Vas Dias 2004-08-04 19:19:23 EDT
Fixed in vixie-cron-4.1-+ (latest version 4.1-7).

Note You need to log in before you can comment on or make changes to this bug.